Dokploy

Certificates

POST
/certificates.create

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

certificateId?string
name*string
Length1 <= length
certificateData*string
Length1 <= length
privateKey*string
Length1 <= length
certificatePath?string
autoRenew?boolean|null
organizationId*string
serverId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/certificates.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "certificateData": "string",    "privateKey": "string",    "organizationId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/certificates.one

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Query Parameters

certificateId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/certificates.one?certificateId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/certificates.remove

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

certificateId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/certificates.remove" \  -H "Content-Type: application/json" \  -d '{    "certificateId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/certificates.all

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/certificates.all"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}